:: Clear the screen
CLS

:: Define the platform the you wish to save with this cofiguration
set NetBurnerPlatform=MOD5270

:: Saves current directory so it can be restored later
set CD=%CD%

:: Remove the currently saved system and include directories from the local directory
RD "system" /S /Q
RD "include" /S /Q

:: Copy the nburn system and include directories from nburn directory into a new local system directory
xcopy "c:\nburn\system" "system\" /S /Y
xcopy "c:\nburn\include" "include\" /S /Y

:: Delete any .o or .od files that were in system directory
del system\*.o
del system\*.od

:: Remove the local platform directory
RD %NetBurnerPlatform% /S /Q

:: Copy the platform system/include directories and PROPERTY file from nburn directory into a new local include directory
xcopy "c:\nburn\%NetBurnerPlatform%\include" "%NetBurnerPlatform%\include\" /S /Y
xcopy "c:\nburn\%NetBurnerPlatform%\system" "%NetBurnerPlatform%\system\" /S /Y 
copy "c:\nburn\%NetBurnerPlatform%\PROPERTIES" "%NetBurnerPlatform%\PROPERTIES" /Y

:: Delete any .o or .od files that were in system directory
del %NetBurnerPlatform%\system\*.o
del %NetBurnerPlatform%\system\*.od


:: Save library FatFile.a for long or short file names
md lib
copy "c:\nburn\lib\FatFile.a" "lib\FatFile.a" /Y

:: Restore directory
cd %CD%
